version: '2.4'
services:
  nextcloud:
    image: nextcloud:latest
    volumes:
      - /mnt/nextcloud-data:/var/www/html
    environment:
      VIRTUAL_HOST: "cloud.home.toozhao.com"
      VIRTUAL_PORT: 80
      LETSENCRYPT_HOST: "cloud.home.toozhao.com"
      LETSENCRYPT_EMAIL: "me@toozhao.com"
    restart: unless-stopped
    mem_limit: 1500m
    mem_reservation: 128m
    cpu_percent: 20
    networks:
      - gateway_default
networks:
  gateway_default:
    external: true
